package tokensAndTrees;

public final class Id implements Tree, Token {

		String identifier ;
		
		public Id( String identifier ) { this.identifier = identifier ; }
		
		@Override
		public boolean equals( Object other ) {
			if( other instanceof Id ) {
				Id otherId = (Id) other ;
				return identifier.equals( otherId.identifier ) ; }
			else
				return false ;
		}
		
		@Override public String toString() {
			return "Id(" +identifier+ ")" ;
		}
		
		@Override
		public Terminal terminal() { return Terminal.ID ; }
		
		@Override
		public boolean isEOF() { return false ; } 
}
